/** 
 * @file   Element.h
 * @author yannick
 *
 * @date 18 Feb. 2022, 23:44
 */

#ifndef ELEMENT_H
#define ELEMENT_H
#include<SFML/Graphics.hpp>

namespace Oop {

    class Game;
    
    class Element : public sf::Sprite 
    {
    private:
        sf::IntRect  _collider;
    protected:
        Game * _game;
    public:
        Element(sf::Texture * texture, sf::IntRect * rectSprite, float x, float y, Game * g);
        virtual ~Element();
        void setCollider(float left,float top, float witdh, float height);
        sf::IntRect collider();
        sf::IntRect boundingBox(); 
    };


}
#endif /* ELEMENT_H */

