/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   SettingData.h
 * Author: yannick
 *
 * Created on 19 février 2022, 00:04
 */

#ifndef SETTINGDATA_H
#define SETTINGDATA_H
#include<map>
#include<SFML/Graphics.hpp>
namespace Oop
{
    enum class SettingType {TREE1, TREE2, WOODPILE1, 
                            WOODPILE2, WOODPILE3, ANVIL, LOG};
    
    class SettingData {
    public:
        SettingData();
        virtual ~SettingData();
        sf::IntRect * collider(SettingType type);
        sf::IntRect * textureRect(SettingType type);
        void setCollider(SettingType type, int left,int top,int width,int height);
        void setTextureRect(SettingType type,int left,int top,int width,int height);

    private:
       std::map<SettingType,sf::IntRect> _colliders;
       std::map<SettingType,sf::IntRect> _textureRectangles; 
    };
    
    
    SettingData createSettingData();
}
#endif /* SETTINGDATA_H */

