/** 
 * @file   Character.h
 * @author Yannick Pencolé
 *
 * @date 21 feb 2022, 12:07
 */

#ifndef CHARACTER_H
#define CHARACTER_H
#include"Element.h"

namespace Oop {
    

    class Character : public Element {
    public:
        Character(sf::Texture * texture,
                sf::IntRect * rectSprite,
                float x,
                float y,
                Game * g);
        virtual ~Character();
        void setMovement(float offsetX, float offsetY);
        void dontMove();
        void updatePosition();
    protected:
        float _moveX;
        float _moveY;
    };
}
#endif /* CHARACTER_H */

