/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   Element.cpp
 * Author: yannick
 * 
 * Created on 18 février 2022, 23:44
 */

#include "Element.h"
#include "Game.h"

namespace Oop
{
    
    Element::Element(sf::Texture * texture, sf::IntRect  * rectSprite, float x, float y, Game * g):
            sf::Sprite(*texture,*rectSprite),_game(g),_collider()
    {
        setPosition(x,y);
    }
    
    Element::~Element()
    {}
    
     void Element::setCollider(float left,float top, float width, float height)
    {
        _collider.top=top;
        _collider.left=left;
        _collider.width=width;
        _collider.height=height;

     }
    
    sf::IntRect Element::collider()
    {
        return _collider;
    }

    
    sf::IntRect Element::boundingBox()
    {
        return sf::IntRect(getPosition().x+_collider.left,
                           getPosition().y+_collider.top,
                           _collider.width,
                           _collider.height);
    }

}