/** 
 * @file   Monster.cpp
 * @author yannick
 * 
 * @date 21 feb 2022, 12:53
 */

#include "Monster.h"
#include "Game.h"

namespace Oop
{
      Monster::Monster(sf::Texture * texture, sf::IntRect * rectSprite, float x, float y, Game * g):
      Character(texture,rectSprite,x,y,g)
      {}
      
      Monster::~Monster()
      {}
      
      void Monster::updatePosition()
      {
          _moveX = -10 + 20 * (rand() % 2);
          _moveY = -10 + 20 * (rand() % 2);
          if(getPosition().x + _moveX < 0)
          {
              _moveX = 0;
          }
          if(getPosition().y + _moveY < 0)
          {
              _moveY = 0;
          }
          if(getPosition().x + _moveX > _game->width())
          {
              _moveX = 0;
          }
          if(getPosition().y + _moveY > _game->height())
          {
              _moveY = 0;
          }
          move(_moveX,_moveY);
      }
}
