/** 
 * @file   Setting.h
 * @author Yannick Pencolé
 * @date   19 Feb 2022, 15:29
 */

#ifndef SETTING_H
#define SETTING_H

#include "SettingData.h"
#include "Element.h"

namespace Oop
{
    class Setting :public Element {
    public:
        Setting(SettingType type, 
                sf::Texture * texture, 
                sf::IntRect * rectSprite, 
                sf::IntRect * collider, 
                float x, 
                float y, 
                Game * g);
        virtual ~Setting();
        SettingType type();
    private:
        SettingType _type;
    };
}
#endif /* SETTING_H */

